Gecode::Int::Arithmetic::RangesMapNroot< Ops > Class Template Reference

Mapping integer to n-th root. More...

`#include <nroot.hpp>`

## Public Member Functions

| RangesMapNroot (const Ops &o)
| Initialize with operations o.
int | min (int x) const
| Perform mapping of minimum.
int | max (int x) const
| Perform mapping of maximum.

## Protected Attributes

Ops | ops
| Power operations.

## Detailed Description

template<class Ops>
class Gecode::Int::Arithmetic::RangesMapNroot< Ops >

Mapping integer to n-th root.

Definition at line 270 of file nroot.hpp.

## Constructor & Destructor Documentation

## RangesMapNroot()

template<class Ops>

Gecode::Int::Arithmetic::RangesMapNroot< Ops >::RangesMapNroot | ( | const Ops & | o | ) |

inline

Initialize with operations o.

Definition at line 276 of file nroot.hpp.

## Member Function Documentation

## min()

template<class Ops>

int Gecode::Int::Arithmetic::RangesMapNroot< Ops >::min | ( | int | x | ) | const

inline

Perform mapping of minimum.

Definition at line 278 of file nroot.hpp.

## max()

template<class Ops>

int Gecode::Int::Arithmetic::RangesMapNroot< Ops >::max | ( | int | x | ) | const

inline

Perform mapping of maximum.

Definition at line 282 of file nroot.hpp.

## Member Data Documentation

## ops

template<class Ops>

Ops Gecode::Int::Arithmetic::RangesMapNroot< Ops >::ops

protected

Power operations.

Definition at line 273 of file nroot.hpp.

The documentation for this class was generated from the following file:

- gecode/int/arithmetic/nroot.hpp